package test;

import lombok.extern.slf4j.Slf4j;
import weaver.interfaces.workflow.action.Action;
import weaver.soa.workflow.request.RequestInfo;

@Slf4j
public class TestAction implements Action {
    @Override
    public String execute(RequestInfo requestInfo) {
        log.info("TestAction ");

        new Thread(new TestRunnable(requestInfo,requestInfo.getRequestid())).start();


        return Action.SUCCESS;
    }
}
